数据提供商: Lusha
根据标题、职级、部门及地点等条件搜索人员(Lusha)
$0.137225 / 次调用在 25 秒内响应
可以使用Lusha提供的包含与排除筛选条件来根据特定标准查找相关人员:在联系人信息中,这些筛选条件包括职位、职级、部门、国家及地区;而在公司信息中,这些筛选条件还包括雇主域名、名称、公司规模范围以及所属行业。每个人行都包含一条预览信息,其中列出了该人的 Lusha id、姓名、标题、雇主、所在位置、社交链接以及 canReveal 标志——这些信息仅用于识别个人身份,并不包含任何联系方式。每页 10 至 25 人。获取联系方式时,将 ids 传给 Lusha 联系方式获取接口;返回空页时不收费。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Lusha endpoint /v3/contacts/prospecting on Glasser.bash
glasser run -p lusha -e '/v3/contacts/prospecting' -i '{"filters":{"companies":{"include":{"domains":["example.com"]}}},"pagination":{"page":0,"size":10}}' --endpoint-version 5使用接口版本 5。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"lusha","endpoint":"/v3/contacts/prospecting","input":{"filters":{"companies":{"include":{"domains":["example.com"]}}},"pagination":{"page":0,"size":10}},"endpoint_version":5}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 5,运行前请确认当前价格。
第 2 步尝试一个具体任务
建立联系候选名单时,可以审阅可用的人员记录,查找符合目标标准的潜在客户。
复制此提示词到你的 Agent,查找符合联系标准的潜在客户。
提示词
Use lusha:/v3/contacts/prospecting on Glasser.
Find people matching my outreach criteria within the records returned by this endpoint.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"pagination",
"filters"
],
"properties": {
"filters": {
"type": "object",
"properties": {
"contacts": {
"type": "object",
"properties": {
"exclude": {
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha contact ids from a prior search's results[].id."
},
"names": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Person names."
},
"score": {
"type": "object",
"properties": {
"maxScore": {
"type": "integer",
"maximum": 100,
"minimum": 0
},
"minScore": {
"type": "integer",
"maximum": 100,
"minimum": 0
}
},
"additionalProperties": false
},
"awards": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"emails": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"skills": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"signals": {
"type": "object",
"properties": {
"types": {
"type": "array",
"items": {
"enum": [
"allSignals",
"promotion",
"companyChange"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"startDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
}
},
"additionalProperties": false
},
"countries": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Country codes as the contact filter-values Endpoint returns them for filterType countries, e.g. \"US\"."
},
"education": {
"type": "object",
"properties": {
"degrees": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"schools": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"startYearGte": {
"type": "integer"
},
"fieldsOfStudy": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"graduationYearLte": {
"type": "integer"
}
},
"additionalProperties": false
},
"jobTitles": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Job titles, e.g. \"VP Sales\"."
},
"locations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"city": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"state": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"region": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"continent": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"countryIso2": {
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"countryGrouping": {
"type": "string",
"maxLength": 200,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Location objects such as { \"country\": \"United States\" } or { \"countryIso2\": \"US\", \"state\": \"California\" }; exact values come from the Lusha filter-values Endpoint with filterType locations."
},
"searchText": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"departments": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Departments as the contact filter-values Endpoint returns them for filterType departments, e.g. \"Sales\"."
},
"linkedinUrls": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Person LinkedIn URLs."
},
"seniorityIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Seniority ids (integers), not names. Take them from the contact filter-values Endpoint with filterType seniority."
},
"certifications": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousEmails": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousJobTitle": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"geographicDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"distance": {
"type": "integer",
"minimum": 0,
"description": "Radius in miles."
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"existingDataPoints": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Data points the contact must have, e.g. \"work_email\", as the contact filter-values Endpoint returns them for filterType existingDataPoints."
},
"jobChangedAfterDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"jobTitlesExactMatch": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"normalizedJobTitles": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"jobChangedLastViewDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"existingDataPointsCondition": {
"enum": [
"or",
"and"
],
"type": "string"
}
},
"additionalProperties": false
},
"include": {
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha contact ids from a prior search's results[].id."
},
"names": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Person names."
},
"score": {
"type": "object",
"properties": {
"maxScore": {
"type": "integer",
"maximum": 100,
"minimum": 0
},
"minScore": {
"type": "integer",
"maximum": 100,
"minimum": 0
}
},
"additionalProperties": false
},
"awards": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"emails": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"skills": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"signals": {
"type": "object",
"properties": {
"types": {
"type": "array",
"items": {
"enum": [
"allSignals",
"promotion",
"companyChange"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"startDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
}
},
"additionalProperties": false
},
"countries": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Country codes as the contact filter-values Endpoint returns them for filterType countries, e.g. \"US\"."
},
"education": {
"type": "object",
"properties": {
"degrees": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"schools": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"startYearGte": {
"type": "integer"
},
"fieldsOfStudy": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"graduationYearLte": {
"type": "integer"
}
},
"additionalProperties": false
},
"jobTitles": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Job titles, e.g. \"VP Sales\"."
},
"locations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"city": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"state": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"region": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"continent": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"countryIso2": {
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"countryGrouping": {
"type": "string",
"maxLength": 200,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Location objects such as { \"country\": \"United States\" } or { \"countryIso2\": \"US\", \"state\": \"California\" }; exact values come from the Lusha filter-values Endpoint with filterType locations."
},
"searchText": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"departments": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Departments as the contact filter-values Endpoint returns them for filterType departments, e.g. \"Sales\"."
},
"linkedinUrls": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Person LinkedIn URLs."
},
"seniorityIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Seniority ids (integers), not names. Take them from the contact filter-values Endpoint with filterType seniority."
},
"certifications": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousEmails": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousJobTitle": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"geographicDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"distance": {
"type": "integer",
"minimum": 0,
"description": "Radius in miles."
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"existingDataPoints": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Data points the contact must have, e.g. \"work_email\", as the contact filter-values Endpoint returns them for filterType existingDataPoints."
},
"jobChangedAfterDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"jobTitlesExactMatch": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"normalizedJobTitles": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"jobChangedLastViewDate": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"existingDataPointsCondition": {
"enum": [
"or",
"and"
],
"type": "string"
}
},
"additionalProperties": false
}
},
"additionalProperties": false
},
"companies": {
"type": "object",
"properties": {
"exclude": {
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha company ids."
},
"names": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company names."
},
"sizes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Headcount ranges as { min, max } employee counts; the bands Lusha uses come from the company filter-values Endpoint with filterType sizes."
},
"domains": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company domains, e.g. \"lusha.com\"."
},
"funding": {
"type": "object",
"properties": {
"date": {
"type": "object",
"properties": {
"date": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"isIpo": {
"type": "boolean"
},
"names": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"enum": [
"angel",
"venture",
"private_equity",
"crowdfunding",
"grant",
"debt_financing",
"other"
],
"type": "string"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"types": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"ranges": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer"
},
"min": {
"type": "integer"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"rounds": {
"type": "array",
"items": {
"type": "object",
"properties": {
"round": {
"enum": [
"pre_seed",
"seed",
"series_a",
"series_b",
"series_c",
"series_d",
"series_e",
"series_f",
"series_g",
"series_h",
"other"
],
"type": "string"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"investors": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
}
},
"additionalProperties": false
},
"keywords": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Keywords associated with the company."
},
"revenues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Annual revenue ranges in US dollars as { min, max }; the bands Lusha uses come from the company filter-values Endpoint with filterType revenues."
},
"sicCodes": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "SIC codes as the company filter-values Endpoint returns them for filterType sics."
},
"locations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"city": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"state": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"region": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"continent": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"countryIso2": {
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"countryGrouping": {
"type": "string",
"maxLength": 200,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Location objects such as { \"country\": \"United States\" } or { \"countryIso2\": \"US\", \"state\": \"California\" }; exact values come from the Lusha filter-values Endpoint with filterType locations."
},
"naicsCodes": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "NAICS codes as the company filter-values Endpoint returns them for filterType naics."
},
"companyType": {
"type": "array",
"items": {
"enum": [
"Government",
"Private Company",
"Public Company",
"Educational",
"Non Profit",
"Self Employed"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"foundedYear": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer"
},
"min": {
"type": "integer"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Founded-year ranges as { min, max }, both inclusive."
},
"intentTopics": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Intent topics as the company filter-values Endpoint returns them for filterType intentTopics."
},
"linkedinUrls": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company LinkedIn URLs."
},
"specialities": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"technologies": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Technology names as the company filter-values Endpoint returns them for filterType technologies."
},
"businessModel": {
"type": "array",
"items": {
"enum": [
"B2B",
"B2C",
"B2G"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"exactKeywords": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"intentMaxScore": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"intentMinScore": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"industriesLabels": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Industry labels (the main_industry text) from the company filter-values Endpoint with filterType industriesLabels, e.g. \"Software\"."
},
"subIndustriesIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha sub-industry ids (integers), not labels. Take sub_industries[].id from the rows the company filter-values Endpoint returns for filterType industriesLabels."
},
"exactSpecialities": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"geographicDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"distance": {
"type": "integer",
"minimum": 0,
"description": "Radius in miles."
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"locationsZipcodes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"countryIso2": {
"type": "string",
"maxLength": 2,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"mainIndustriesIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha main industry ids (integers), not labels. Take main_industry_id from the rows the company filter-values Endpoint returns for filterType industriesLabels."
},
"headquarterZipcodes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"countryIso2": {
"type": "string",
"maxLength": 2,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"topicCountThreshold": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"intentTopicsOperator": {
"enum": [
"or",
"and",
"any",
"all"
],
"type": "string"
},
"keywordsSearchFields": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousCompanyNames": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"intentTopicsCondition": {
"enum": [
"or",
"and"
],
"type": "string"
},
"technologiesCondition": {
"enum": [
"or",
"and"
],
"type": "string"
},
"previousCompanyDomains": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
}
},
"additionalProperties": false
},
"include": {
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha company ids."
},
"names": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company names."
},
"sizes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Headcount ranges as { min, max } employee counts; the bands Lusha uses come from the company filter-values Endpoint with filterType sizes."
},
"domains": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company domains, e.g. \"lusha.com\"."
},
"funding": {
"type": "object",
"properties": {
"date": {
"type": "object",
"properties": {
"date": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$",
"description": "A date as YYYY-MM-DD."
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"isIpo": {
"type": "boolean"
},
"names": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"enum": [
"angel",
"venture",
"private_equity",
"crowdfunding",
"grant",
"debt_financing",
"other"
],
"type": "string"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"types": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"ranges": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer"
},
"min": {
"type": "integer"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"rounds": {
"type": "array",
"items": {
"type": "object",
"properties": {
"round": {
"enum": [
"pre_seed",
"seed",
"series_a",
"series_b",
"series_c",
"series_d",
"series_e",
"series_f",
"series_g",
"series_h",
"other"
],
"type": "string"
},
"coverage": {
"enum": [
"last_funding",
"any_round",
"total_funds",
"last_round"
],
"type": "string"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"investors": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
}
},
"additionalProperties": false
},
"keywords": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Keywords associated with the company."
},
"revenues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Annual revenue ranges in US dollars as { min, max }; the bands Lusha uses come from the company filter-values Endpoint with filterType revenues."
},
"sicCodes": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "SIC codes as the company filter-values Endpoint returns them for filterType sics."
},
"locations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"city": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"state": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"region": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"continent": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"countryIso2": {
"type": "string",
"pattern": "^[A-Z]{2}$"
},
"countryGrouping": {
"type": "string",
"maxLength": 200,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Location objects such as { \"country\": \"United States\" } or { \"countryIso2\": \"US\", \"state\": \"California\" }; exact values come from the Lusha filter-values Endpoint with filterType locations."
},
"naicsCodes": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "NAICS codes as the company filter-values Endpoint returns them for filterType naics."
},
"companyType": {
"type": "array",
"items": {
"enum": [
"Government",
"Private Company",
"Public Company",
"Educational",
"Non Profit",
"Self Employed"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"foundedYear": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer"
},
"min": {
"type": "integer"
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1,
"description": "Founded-year ranges as { min, max }, both inclusive."
},
"intentTopics": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Intent topics as the company filter-values Endpoint returns them for filterType intentTopics."
},
"linkedinUrls": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Company LinkedIn URLs."
},
"specialities": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"technologies": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Technology names as the company filter-values Endpoint returns them for filterType technologies."
},
"businessModel": {
"type": "array",
"items": {
"enum": [
"B2B",
"B2C",
"B2G"
],
"type": "string"
},
"maxItems": 500,
"minItems": 1
},
"exactKeywords": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"intentMaxScore": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"intentMinScore": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"industriesLabels": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1,
"description": "Industry labels (the main_industry text) from the company filter-values Endpoint with filterType industriesLabels, e.g. \"Software\"."
},
"subIndustriesIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha sub-industry ids (integers), not labels. Take sub_industries[].id from the rows the company filter-values Endpoint returns for filterType industriesLabels."
},
"exactSpecialities": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"geographicDetails": {
"type": "array",
"items": {
"type": "object",
"properties": {
"country": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"distance": {
"type": "integer",
"minimum": 0,
"description": "Radius in miles."
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"locationsZipcodes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"countryIso2": {
"type": "string",
"maxLength": 2,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"mainIndustriesIds": {
"type": "array",
"items": {
"type": "integer"
},
"maxItems": 500,
"minItems": 1,
"description": "Lusha main industry ids (integers), not labels. Take main_industry_id from the rows the company filter-values Endpoint returns for filterType industriesLabels."
},
"headquarterZipcodes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"zipcode": {
"type": "string",
"maxLength": 20,
"minLength": 1
},
"countryIso2": {
"type": "string",
"maxLength": 2,
"minLength": 1
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"topicCountThreshold": {
"type": "array",
"items": {
"type": "object",
"properties": {
"max": {
"type": "integer",
"minimum": 0
},
"min": {
"type": "integer",
"minimum": 0
}
},
"additionalProperties": false
},
"maxItems": 500,
"minItems": 1
},
"intentTopicsOperator": {
"enum": [
"or",
"and",
"any",
"all"
],
"type": "string"
},
"keywordsSearchFields": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"previousCompanyNames": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
},
"intentTopicsCondition": {
"enum": [
"or",
"and"
],
"type": "string"
},
"technologiesCondition": {
"enum": [
"or",
"and"
],
"type": "string"
},
"previousCompanyDomains": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 500,
"minItems": 1
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}
},
"description": "Lusha contact prospecting filters: contacts.include / contacts.exclude on the person (job titles, seniorityIds, departments, countries, locations) and companies.include / companies.exclude on the employer (domains, names, sizes, industries). Use values from the contact and company filter-values Endpoints; seniority and industry ids are integers.",
"additionalProperties": false
},
"pagination": {
"type": "object",
"required": [
"page",
"size"
],
"properties": {
"page": {
"type": "integer",
"maximum": 1000,
"minimum": 0
},
"size": {
"type": "integer",
"maximum": 25,
"minimum": 10
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}json
{
"filters": {
"companies": {
"include": {
"domains": [
"example.com"
]
}
}
},
"pagination": {
"page": 0,
"size": 10
}
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 仅在返回数据时收费。 | $0.137225 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |